%define version	20071231
%define number	1.2.1

Summary:	Electronics schematics editor
Name:		geda-gattrib
Version:	%{version}
Release: 	%mkrel 1
Source:		%{name}-%{number}.tar.gz
Url:		http://www.geda.seul.org
License:	GPL 
Group:		Sciences/Other
BuildRoot:	%{_tmppath}/%name-%version
Requires:	geda-symbols = %version
BuildRequires:	geda-symbols = %version
Buildrequires: 	gtk+-devel
BuildRequires: 	libguile-devel >= 1.6.0 
BuildRequires: 	libgeda-devel = %version

%description
Gattrib is gEDA's attribute editor.  It reads a set of gschem .sch
files (schematic files), and creates a spreadsheet showing all
components in rows, with the associated component attributes listed in
the columns.  It allows the user to add, modify, or delete component
attributes outside of gschem, and then save the .sch files back
out.  When it is completed, it will allow the user to edit attributes
attached to components, nets, and pins.  (Currently, only component
attribute editing is implemented; pin and net attributes are displayed
only.)

%prep
%setup -q -n %{name}-%{number}

%build
%configure
make all

%install
rm -Rf $RPM_BUILD_ROOT
MY_DIR=%_datadir/gEDA
%makeinstall_std GEDADATADIR=$MY_DIR GEDARCDIR=$MY_DIR rcdatadir=$MY_DIR

rm -fr %buildroot/%_datadir/doc

%clean
rm -Rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{_datadir}/gEDA
%doc AUTHORS BUGS COPYING README
%doc design/{ProgramArchitecture.gnumeric,gEDA_Structures_updated.png}
%_bindir/gattrib
%_datadir/gEDA/system-gattribrc
%_datadir/gEDA/gattrib-menus.xml


%changelog
* Tue Jan 08 2008 trem <trem@mandriva.org> 20071231-1mdv2008.1
+ Revision: 146898
- new release (20071231)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon May 21 2007 Olivier Thauvin <nanardon@mandriva.org> 20070216-1mdv2008.0
+ Revision: 28979
- 20070216


* Sat Feb 17 2007 Olivier Thauvin <nanardon@mandriva.org> 20061020-2mdv2007.0
+ Revision: 122066
- rebuild

* Sun Dec 10 2006 Olivier Thauvin <nanardon@mandriva.org> 20061020-1mdv2007.1
+ Revision: 94516
- first mdv package
- Create geda-gattrib

